---
search:
  tags:
    - Brands
    - GET
seo:
  description: >-
    Retrieves a paginated list of all brands for the app with… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/brands endpoint in the Management API.
sidebar:
  label: List all brands
  badge: GET
title: List all brands
type: openapi-operation
---
Retrieves a paginated list of all brands for the app with optional filtering by name. Supports sorting by name, created_at, or updated_at in ascending or descending order. Includes brand details and all associated series for each brand.

`GET /api/v1/{team_slug}/{app_slug}/brands`

**Responses**

- `200` — Brands returned successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "co_address": "string",
      "country": "string",
      "house_number": "string",
      "postal_code": "string",
      "state_province": "string",
      "street_address": "string"
    },
    "cover": {
      "id": "string",
      "url": "string"
    },
    "created_at": "string",
    "description": "string",
    "email": "string",
    "id": "string",
    "logo": {
      "id": "string",
      "url": "string"
    },
    "name": "string",
    "series": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "slug": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
